#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>

#include <gl/glew.h>
//#include <gl/gl.h>
//#include <gl/glu.h>
#include <gl/glext.h>

#include <iostream>
#include <fstream>
#include <sstream>
#include <string>

#include <cstdio>
#include <cstring>
#include <cctype>
#include <cmath>
using namespace std;


#include "Matikka.h"
#include "Fysiikka.h"
#include "Tiedosto.h"
#include "Syottolaite.h"
#include "Aika.h"
#include "Tekstuuri.h"
#include "2DGrafiikka.h"
#include "Teksti.h"
#include "Malli3D.h"
#include "Objekti.h"
#include "Kamera.h"
#include "Grafiikka.h"

#include "PP.h"



void AlustaOGLjaSDL( unsigned short Leveys, unsigned short Korkeus, int VideoTilanLiput, char *Nimi );

void AlustaSDL( unsigned short Leveys, unsigned short Korkeus, int VideoTilanLiput, char *Nimi );
void AlustaOpenGL( unsigned short Leveys, unsigned short Korkeus );





void AlustaSyottolaiteMoottori(NAPPAIMET &Nappaimet, HIIRI &Hiiri,  unsigned short RuudunLeveys, unsigned short RuudunKorkeus );
void PaivitaSyottolaiteMoottori(NAPPAIMET &Nappaimet, HIIRI &Hiiri, SDL_Event &Tapahtuma);



char* LukuSanaksi(double Luku, int Desimaaleja );
char* LukuSanaksi(long Luku );


char Akanoi(char *&Sana);
char PyyhiLoppu(char *&Sana, char Merkki);
char PyyhiAlkuJaLoppu(char *&Sana, char Merkki);
char PyyhiAlkuJaLoppu( char *&Sana, char AlkuMerkki, char LoppuMerkki);



long Sattuma(long Pienin, long Suurin);





















